package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Ten;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface TenMapper {

    int insert(Ten record);

    int insertSelective(Ten record);

    int updateByPrimaryKeySelective(Ten record);

    int updateByPrimaryKey(Ten record);

    int deleteByPrimaryKey(Ten record);

    int deleteByIds(Collection<Object> collection);

    Ten selectByPrimaryKey(Ten record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Ten> dyncRead(Map<String, Object> dyncMap);

    Ten  selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr (@Param("objtyp") String objtyp, @Param("objinr") String objinr);

}